### Method

# Foundry VcsDelta list_hunks

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_vcs_delta_list_hunks (
      FoundryVcsDelta* self
    )

#### Description [src]

Queries the VCS for the list of hunks that are part of this delta.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryVcsDiffHunk`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.